.page-instagram {
  background-color: rgb(247, 247, 247);
  @include flex-center;
  flex-direction: column;
  padding-bottom: 49px;

  &__container {
    width: 77%;
  }

  &__wrapper {
    display: flex;
    justify-content: space-between;
  }
  &__title {
    @include headline;
  }

  &__sub-title {
    @include headline;
    font-size: 13px;
    line-height: 22px;
    text-decoration: none;
  }
}

.insta-wrap {
  display: grid;
  gap: 11px;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  grid-template-rows: repeat(1, 1fr);

  grid-auto-rows: 0;
  overflow-y: hidden;

  &__img {
    width: 100%;
  }
}

@include breakpoint(830px) {
  .insta-wrap {
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
  }
  .img4 {
    display: none;
  }
}

@include breakpoint(700px) {
  .img2 {
    display: none;
  }
  .img3 {
    display: none;
  }

  .page-instagram {
    &__sub-title {
      display: none;
    }
  }
}
